#ifndef FONT_HH
#define FONT_HH
#include "gfx.hh"

//is also singleton.. and must be so.
class font {
    public:
    static font* instance();
    int loadfont(char *file); //loads a font.
    int write(char *string,int x,int y); //puts text on screen
    int height;
    int atoif(int value); //takes an ascii value and returns index in font.pcx. returns -1 if not in font.
    protected:
        font();
        font(const font&);
        font& operator= (const font&);
    private:
    int bgcol; //color value of the bg, colors of this value are not drawn
    int drawchar(int index,int xpos, int ypos,bool highlight);
    MEM_Sprite fontimg; //pointer to the font bitmap array.
    int char_space[64]; //width of letters. stored A-Za-z0-9!?
    int char_begin[64]; //where each char begins (x value)
    static font *pinstance;
    
};
#endif //FONT_HH