#include <iostream.h>
#include <fstream.h>
#include <unistd.h>
#include <string.h>
#include "scriptread.hh"
#include "gfx.hh"
#include "font.hh"
/*******************************************************************************
* main(int argc, char *argc)
* takes script filename as an argument and defaults to script.txt
*******************************************************************************/
void musik() {
	usleep(1500000); //ugly hack
	system("mpg123 gnusong.mp3");
}

int main(int argc,char *argv[]) {
	if(fork()==0)
		musik();
	else
	{
		script myscript; //create a script object
		gfx *pgfx = gfx::instance();
		font *pfont = font::instance();
		pfont->loadfont("font.pcx");
		pgfx->init();
		if(argc<2) {
			cout << "No file specified. Using default script.txt\n";
			myscript.readscript("script.txt");
		}
		else {
			cout << "Opening file: " << argv[1] <<endl;
			myscript.readscript(argv[1]);
		}
		pgfx->close();
		return 0;
	}
}





